> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pybamm Models

> List pybamm/ionworks model classes and options.

Used by clients to decide whether they can express their model as a
config (``client.model.create``) or whether they need to upload a
custom ``pybamm.BaseModel`` subclass via
``client.model.upload_custom``.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /discovery/pybamm_models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /discovery/pybamm_models:
    get:
      tags:
        - discovery
      summary: Get Pybamm Models
      description: |-
        List pybamm/ionworks model classes and options.

        Used by clients to decide whether they can express their model as a
        config (``client.model.create``) or whether they need to upload a
        custom ``pybamm.BaseModel`` subclass via
        ``client.model.upload_custom``.
      operationId: get_pybamm_models_discovery_pybamm_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}

````